{* novyUzivatel *}
<button class="btn btn-success" data-bs-toggle="modal" data-bs-target="#novyUzivatelModal">
    <i class="fas fa-plus me-2"></i>Přidat
</button>
{*edit logo Modal*}
<div class="modal fade" id="novyUzivatelModal">
    <div class="modal-dialog">
        <form n:name=novyUzivatelForm>
            <div class="modal-content">
                <div class="modal-header bg-success text-white">
                    <h5 class="modal-title">Nový uživatel</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="input-group mb-3">
                        <span class="input-group-text"><i class="fas fa-user"></i></span>
                        <input n:name="name" class="form-control" placeholder="Celé jméno">
                    </div>
                    <div class="mb-3">
                        <div class="input-group">
                            <span class="input-group-text"><i class="fas fa-envelope"></i></span>
                            <input n:name="email" class="form-control emailNewUser" placeholder="Emailová adresa" onchange="checkNewUserEmail()">
                        </div>
                        <div id="emailCheckMessage" class="form-text text-danger" style="display: none">Emailová adresa je již registrována u jiného uživatele!</div>
                    </div>
                    <hr>
                    <div class="input-group mb-3">
                        <span class="input-group-text"><i class="fas fa-key"></i></span>
                        <input n:name="password" class="form-control" placeholder="Heslo">
                    </div>
                    <div class="input-group">
                        <span class="input-group-text"><i class="fas fa-key"></i></span>
                        <input n:name="passVerify" class="form-control" placeholder="Heslo pro kontrolu">
                    </div>
                    <div class="form-text text-secondary mb-3">Heslo musí obsahovat min. 8 znaků a 1 číslici.</div>
                    <hr>
                    <div class="input-group">
                        <span class="input-group-text"><i class="fas fa-users"></i></span>
                        <select n:name="role" class="form-select"></select>
                    </div>
                </div>
                <div class="modal-footer">
                    <a class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                    <button n:name="send" class="btn btn-success send"><i class="fas fa-save me-2"></i>Uložit</button>
                </div>
            </div>
        </form>
    </div>
</div>
<script>
    function checkNewUserEmail()
    {
        let emailInput = $('.emailNewUser');
        let emailCheck = $('#emailCheckMessage');
        let button = $('.send');

        var email = emailInput.val();

        naja.makeRequest('POST', {link 'checkEmail'} , { {$control->getParameterId('email') }: email })
    .then((payload) => {

        if (payload.email == 1)
        {
            button.prop('disabled', true);
            emailCheck.show();
            emailInput.removeClass('is-valid');
            emailInput.addClass('is-invalid');
        }else{
            button.prop('disabled', false);
            emailCheck.hide()
            emailInput.removeClass('is-invalid');
            emailInput.addClass('is-valid');
        }
    })
        .catch((error) => { console.log(error) });
    }
</script>